<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <link rel="stylesheet" href="/css/profile.css" />
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
  <title>Profile</title>
</head>

<body>

  <div class="main-content">
    <!-- Top navbar -->
    <nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main">
      <div class="container-fluid">
        <!-- Brand -->
        <a class="h4 mb-0 text-white text-uppercase d-none d-lg-inline-block"
          href="https://www.creative-tim.com/product/argon-dashboard" target="_blank"></a>
        <!-- Form -->

        <!-- User -->
        <ul class="navbar-nav align-items-center d-none d-md-flex">
          <li class="nav-item dropdown">
            <a class="nav-link pr-0" href="" role="button" data-toggle="dropdown" aria-haspopup="true"
              aria-expanded="false">
              <div class="media align-items-center">
                <span class="avatar avatar-sm rounded-circle">
                  <img alt="Image placeholder" id="avatarSmall" src="<%= infor.Avatar %>">
                </span>
                <div class="media-body ml-2 d-none d-lg-block">
                  <% var name=infor.name.split(" ") %>
                  <span class=" mb-0 text-sm font-weight-bold"><%= infor.name %></span>
                </div>
              </div>
            </a>
            <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
              <div class=" dropdown-header noti-title">
                <h6 class="text-overflow m-0">Welcome!</h6>
              </div>
              <a href="/profile" class="dropdown-item">
                <i class="ni ni-single-02"></i>
                <span>My profile</span>
              </a>
              <a href="/profile" class="dropdown-item">
                <i class="ni ni-settings-gear-65"></i>
                <span>Settings</span>
              </a>
              <a href="/profile" class="dropdown-item">
                <i class="ni ni-calendar-grid-58"></i>
                <span>Activity</span>
              </a>
              <a href="/profile" class="dropdown-item">
                <i class="ni ni-support-16"></i>
                <span>Support</span>
              </a>
              <div class="dropdown-divider"></div>
              <a href="/users/logout" class="dropdown-item">
                <i class="ni ni-user-run"></i>
                <span>Logout</span>
              </a>
            </div>
          </li>
        </ul>
      </div>
    </nav>
    <!-- Header -->
    <div class="headerProfile header pb-8 pt-5 pt-lg-8 d-flex align-items-center">
      <!-- Mask -->
      <span class="mask bg-gradient-default opacity-8"></span>
      <!-- Header container -->
      <div class="container-fluid d-flex align-items-center">
        <div class="row">
          <div class="col-lg-7 col-md-10">
            <h1 class="display-2 text-white">Hello <%= infor.name %>
            </h1>
            <p class="text-white mt-0 mb-5">This is your profile page. You can see the progress you've made with your
              work and manage your projects or assigned tasks</p>
            <a href="/" class="btn btn-info">Home</a>
          </div>
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--7">
      <div class="row">
        <div class="col-xl-4 order-xl-2 mb-5 mb-xl-0">
          <div class="card card-profile shadow">
            <div class="row justify-content-center">

              <div class="col-lg-3 order-lg-2">
                <div class="card-profile-image">

                  <div class="avatar-upload">
                    <div class="avatar-edit" style="margin-right:5%; margin-top: 5%;">
                        <input type='file' name="avatar" id="imageUploadAvatar" accept=".png, .jpg, .jpeg"
                        onchange="UploadAvartar()" />
                        <label for="imageUploadAvatar"></label>
                        <!-- <button type="submit">hehe</button> -->
                      </form>
                    </div>
                    <div class="avatar-preview">
                      <img  src="<%= infor.Avatar %>" id="Avatar" class="rounded-circle avatar" style="width:200px; height:170px;"></img>
                    </div>
                  </div>

                </div>
              </div>
            </div>


            <div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
              <div class="d-flex justify-content-between">

              </div>
            </div>

            <div class="card-body pt-0 pt-md-4" style="margin-bottom: 50px;">
              <div class="row">
                <div class="col">
                  <div class="card-profile-stats d-flex justify-content-center mt-md-5">
                  </div>
                </div>
              </div>
              <div class="text-center">
                <h3>
                  <%= infor.name %><span class="font-weight-light">, 22</span>
                </h3>
                <div class="h5 font-weight-300">
                  <i class="ni location_pin mr-2"></i>TPHCM, VietNam
                </div>
                <div class="rankProfile h5 mt-4">
                  <i class="ni business_briefcase-24 mr-2"></i>Gold Member
                </div>
                <hr class="my-4">
                <p>The gold member always use digital money to do anything for more and more benefit</p>
                <H3>ID Cards</H3>
                <div class="row">
                  <label class="col">On Id Card</label>

                  <label class="col">Bottom Id Card</label>
                </div>
                <div class="row">
                  <img class="col imgID" id="imageOn" src="<%= infor.OnCard %>"  alt="cmnd" >
                  <img class="col imgID" id="imageBottom" src="<%= infor.BottomCard %>"  alt="cmnd" >
                  <!-- <img id="image" /> -->
                  <!-- <img class="col" src="<%= infor.IdCard %>" alt="cmnd" style="width:70px; height:150px;"> -->
                </div>
                <div class="row">
                  <div class="avatar-edit" id="bottomId" style="width: 50px; height: 100px; margin-right: 15%;">
                    <input type='file'id="imageUploadBottom" onchange="uploadImageBottom()" />
                    <label for="imageUploadBottom" id="bottom" ></label>
                    <!-- <button type="submit">hehe</button> -->
                    <!-- </form> -->
                  </div>
                  <!-- <button onclick="uploadImage()">Upload Image</button> -->
                  <div class="avatar-edit" id="onId" style="width: 50px; height: 100px; margin-right: 62%;">
                    <!-- <form action="/onCard" method="post" id="onId" enctype="multipart/form-data"> -->
                      <input type='file'id="imageUploadOn" onchange="uploadImageOn()" />
                      <label for="imageUploadOn" id="onCard"></label>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>

        <div class="col-xl-8 order-xl-1">
          <div class="card bg-secondary shadow">
            <div class="card-header bg-white border-0">
              <div class="row align-items-center">
                <div class="col-8">
                  <h3 class="mb-0">My account</h3>
                </div>
              </div>
            </div>
            <div class="card-body">
              <form>
                <h6 class="heading-small text-muted mb-4">User information</h6>
                <div class="pl-lg-4">
                  <div class="row">
                    <div class="col-lg-6">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-username">Full Name </label>
                        <input type="text" id="input-username" class="form-control form-control-alternative"
                          placeholder="Username" value="<%= infor.name %>">
                      </div>
                    </div>
                    <div class="col-lg-6">
                      <div class="form-group">
                        <label class="form-control-label" for="input-email">Email address</label>
                        <input type="email" id="input-email" class="form-control form-control-alternative"
                          placeholder="<%= infor.email %>">
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-lg-6">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-first-name">Phone</label>
                        <input type="text" id="input-first-name" class="form-control form-control-alternative"
                          placeholder="First name" value="<%= infor.phone %>">
                      </div>
                    </div>
                  </div>
                </div>
                <hr class="my-4">
                <!-- Address -->
                <h6 class="heading-small text-muted mb-4">Contact information</h6>
                <div class="pl-lg-4">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-address">Address</label>
                        <input id="input-address" class="form-control form-control-alternative"
                          placeholder="Home Address" value="<%= infor.address %>" type="text">
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-city">City</label>
                        <input type="text" id="input-city" class="form-control form-control-alternative"
                          placeholder="City" value="Ho Chi Minh">
                      </div>
                    </div>
                    <div class="col-lg-4">
                      <div class="form-group focused">
                        <label class="form-control-label" for="input-country">Country</label>
                        <input type="text" id="input-country" class="form-control form-control-alternative"
                          placeholder="Country" value="Viet Nam">
                      </div>
                    </div>
                    <div class="col-lg-4">
                      <div class="form-group">
                        <label class="form-control-label" for="input-country">Post code</label>
                        <input type="number" id="input-postal-code" class="form-control form-control-alternative"
                          placeholder="Post code">
                      </div>
                    </div>
                  </div>
                </div>
                <hr class="my-4">
                <!-- Description -->
                <h6 class="heading-small text-muted mb-4">About me</h6>
                <div class="pl-lg-4">
                  <div class="form-group focused">
                    <label>Description</label>
                    <textarea rows="4" class="form-control form-control-alternative"
                      placeholder="A few words about you ...">Nothing...</textarea>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <footer class="footer">
    <div class="row align-items-center justify-content-xl-between">
      <div class="col-xl-6 m-auto text-center">
        <div class="copyright">
          <p>Be confidence with your decisions</p>
        </div>
      </div>
    </div>
  </footer>
</body>
<script src="https://www.gstatic.com/firebasejs/7.7.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.7.0/firebase-storage.js"></script>
<script>
  // Import the functions you need from the SDKs you need

  // TODO: Add SDKs for Firebase products that you want to use
  // https://firebase.google.com/docs/web/setup#available-libraries

  // Your web app's Firebase configuration
  // For Firebase JS SDK v7.20.0 and later, measurementId is optional
  var firebaseConfig = {
    apiKey: "AIzaSyDdeuEz90UIrQGUm39PC7vTELfIUV6fFC8",
    authDomain: "upload-fc579.firebaseapp.com",
    projectId: "upload-fc579",
    storageBucket: "upload-fc579.appspot.com",
    messagingSenderId: "110457690097",
    appId: "1:110457690097:web:23b30bc257dc2ddd3b9650",
    measurementId: "G-D6WPCSQQW8"
  };
  // Initialize Firebase
  firebase.initializeApp(firebaseConfig);

  function uploadImageBottom() {
      const ref = firebase.storage().ref();
      const file = document.querySelector("#imageUploadBottom").files[0];
      
      const name = +new Date() + "-" + file.name
      const metadata = {
        contentType: file.type
      };
      const task = ref.child(name).put(file, metadata);
      task
        .then(snapshot => snapshot.ref.getDownloadURL())
        .then(url => {
          // console.log(url)
          $.ajax({
            url: '/users/profile/bottomCard',
            type: 'post',
            data: {
                imgBack: url
            }
          }).then(data=>{
            if(data.success){
              alert(data.msg)


          $("#imageBottom").attr("src",url);


        }else{

              alert(data.msg)
            }
          })

          // $("#image").attr("src",url);


        })
        .catch(console.error);
      
    }

    function uploadImageOn() {
      const ref = firebase.storage().ref();
      const file = document.querySelector("#imageUploadOn").files[0];
      
      const name = +new Date() + "-" + file.name
      const metadata = {
        contentType: file.type
      };
      const task = ref.child(name).put(file, metadata);
      task
        .then(snapshot => snapshot.ref.getDownloadURL())
        .then(url => {
          // console.log(url)
          $.ajax({
            url: '/users/profile/OnCard',
            type: 'post',
            data: {
                imgOn: url
            }
          }).then(data=>{
            if(data.success){
              alert("Upload ảnh thành công")


          $("#imageOn").attr("src",url);


        }else{

              alert(data.msg)
            }
          })

          // $("#image").attr("src",url);


        })
        .catch(console.error);
      
    }

    function UploadAvartar() {
      const ref = firebase.storage().ref();
      const file = document.querySelector("#imageUploadAvatar").files[0];
      
      const name = +new Date() + "-" + file.name
      const metadata = {
        contentType: file.type
      };
      const task = ref.child(name).put(file, metadata);
      task
        .then(snapshot => snapshot.ref.getDownloadURL())
        .then(url => {
          // console.log(url)
          $.ajax({
            url: '/users/profile/Avatar',
            type: 'post',
            data: {
                Avatar: url
            }
          }).then(data=>{
            if(data.success){
              alert("Upload ảnh thành công")


          $("#Avatar").attr("src",url);
          $("#avatarSmall").attr("src",url);


        }else{

              alert(data.msg)
            }
          })

          // $("#image").attr("src",url);


        })
        .catch(console.error);
      
    }
 
    

</script>

</html>